Subject: Re: [PATCH net-next 01/13] genetlink: refactor the cmd <> policy mapping dump

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Oct 2022 08:59:11 -0700

On Wed, 19 Oct 2022 09:50:16 +0200 Johannes Berg wrote:
> > +			if (ctrl_dumppolicy_put_op(skb, cb, &op))
> > +				return skb->len;
> > +
> > +			ctx->opidx = genl_get_cmd_cnt(ctx->rt);  
> 
> This (now without a comment that you removed rather than changed), still
> strikes me as odd.
> 
> I guess if we add a comment /* don't enter the loop below */ that'd be
> nicer, but I feel maybe putting the loop into the else instead would be
> nicer?

The comment got eaten in rebases, it comes back in patch 10 apparently..
I'll put it back in v2.